Get sending account statistics
curl --request GET \
--url https://app.sendmux.ai/api/v1/providers/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"active": 8,
"by_status": {
"active": 8,
"error": 1,
"inactive": 3,
"pending": 0
},
"by_type": {
"amazon_ses": 1,
"gmail_api": 4,
"outlook_api": 2,
"smtp": 6
},
"error": 1,
"inactive": 3,
"pending": 0,
"total": 12
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Sending accounts
Get sending account statistics
Returns aggregate counts of configured sending accounts with breakdowns by type and status.
GET
/
providers
/
stats
Get sending account statistics
curl --request GET \
--url https://app.sendmux.ai/api/v1/providers/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"active": 8,
"by_status": {
"active": 8,
"error": 1,
"inactive": 3,
"pending": 0
},
"by_type": {
"amazon_ses": 1,
"gmail_api": 4,
"outlook_api": 2,
"smtp": 6
},
"error": 1,
"inactive": 3,
"pending": 0,
"total": 12
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Response
Sending account statistics
Available options:
true Hide child attributes
Hide child attributes
Accounts with status 'active'
Example:
8
Hide child attributes
Hide child attributes
Accounts with status 'error'
Example:
1
Accounts with status 'inactive'
Example:
3
Accounts with status 'pending'
Example:
0
Total number of sending accounts
Example:
12
Was this page helpful?
⌘I